#!/bin/bash
# hypotenuse.sh : Renvoie l'"hypoténuse" d'un triangle à angle droit,
#                (racine carrée de la somme des carrés des côtés)

ARGS=2                # Le script a besoin des côtés du triangle.
E_MAUVAISARGS=65          # Mauvais nombre d'arguments.

if [ $# -ne "$ARGS" ] # Teste le nombre d'arguments du script.
then
  echo "Usage: `basename $0` cote_1 cote_2"
  exit $E_MAUVAISARGS
fi


SCRIPTAWK=' { printf( "%3.7f\n", sqrt($1*$1 + $2*$2) ) } '
#            commande(s) / paramètres passés à awk


# Maintenant, envoyez les paramètres à awk via un tube.
    echo -n "Hypoténuse de $1 et $2 = "
    echo $1 $2 | awk "$SCRIPTAWK"
#   ^^^^^^^^^^^^
# echo et pipe sont un moyen facile de passer des paramètres shell.

exit 0

# Exercice : Ré-écrivez ce script en utilisant 'bc' à la place de awk.
#            Quelle méthode est la plus intuitive ?
